

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.69. tokenizer_list &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.70. truncate" href="truncate.html" />
    <link rel="prev" title="7.3.68. tokenize" href="tokenize.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/tokenizer_list.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="truncate.html" title="7.3.70. truncate"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="tokenize.html" title="7.3.68. tokenize"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.69. </span><code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="tokenizer-list">
<h1><span class="section-number">7.3.69. </span><code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code><a class="headerlink" href="#tokenizer-list" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.69.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code> command lists tokenizers in a database.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.69.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes no parameters:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenizer_list
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.69.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here is a simple example.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenizer_list
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;name&quot;: &quot;TokenDelimit&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenUnigram&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenBigram&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenTrigram&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenBigramSplitSymbol&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenBigramSplitSymbolAlpha&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenBigramSplitSymbolAlphaDigit&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenBigramIgnoreBlank&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenBigramIgnoreBlankSplitSymbol&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenBigramIgnoreBlankSplitSymbolAlpha&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenBigramIgnoreBlankSplitSymbolAlphaDigit&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenDelimitNull&quot;
#     },
#     {
#       &quot;name&quot;: &quot;TokenRegexp&quot;
#     }
#   ]
# ]
</pre></div>
</div>
<p>It returns tokenizers in a database.</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.69.4. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code> command returns tokenizers. Each tokenizers has an attribute
that contains the name. The attribute will be increased in the feature:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, tokenizers]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> about <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">tokenizers</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">tokenizers</span></code> is an array of tokenizer. Tokenizer is an object that has the following
attributes.</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Name</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>Tokenizer name.</p></td>
</tr>
</tbody>
</table>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.69.5. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../tokenizers.html"><span class="doc">Tokenizers</span></a></p></li>
<li><p><a class="reference internal" href="tokenize.html"><span class="doc">tokenize</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.69. <code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.69.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.69.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.69.3. Usage</a></li>
<li><a class="reference internal" href="#return-value">7.3.69.4. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.3.69.5. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="tokenize.html"
                        title="previous chapter"><span class="section-number">7.3.68. </span><code class="docutils literal notranslate"><span class="pre">tokenize</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="truncate.html"
                        title="next chapter"><span class="section-number">7.3.70. </span><code class="docutils literal notranslate"><span class="pre">truncate</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="truncate.html" title="7.3.70. truncate"
             >next</a> |</li>
        <li class="right" >
          <a href="tokenize.html" title="7.3.68. tokenize"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.69. </span><code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>